<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-searchbar [placeholder]='"topics.cerca_servizio" | translate' inputmode='text' (ionChange)='searchService($event)' (ionClear)='clearSearch()'></ion-searchbar>
 <!-- <ion-buttons slot='primary'>
      <ion-button color='primary' (click)='openHelpModal()'>
        <ion-icon slot='icon-only' size='large' slot='end'
                  name='help-outline' class='custom'>
        </ion-icon>
      </ion-button>
    </ion-buttons>-->
    <ion-buttons slot="primary">
        <ion-button fill='solid' [disabled]='!enableButtonSearch' (click)='onSearch()'>
          {{ 'topics.cerca' | translate }}
        </ion-button>
    </ion-buttons>
    <ion-menu-button type='button' style='position: absolute;right: -32px;top: 40px;'>
      <ion-button fill='none'>
        <span class='ion-text-end' *ngIf='urlFilterParams'>  {{ 'topics.filtri_attivi' | translate }} </span>
        <ion-icon name="filter-circle-outline" class='menu-icon'></ion-icon>
      </ion-button>
    </ion-menu-button>
    <div style='height: 32px'>
      <ion-text *ngIf='searchTextActive > 0' class='text-filter'>{{searchTextActive}} {{ 'topics.risultati' | translate }}</ion-text>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen='true' id="main">
  <ion-header collapse='condense' class='ion-margin-top'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title'> {{ 'common.servizi' | translate | titlecase }}
          <span>
            <ion-img
              style='width: 50px; display: inline-block; float: right; opacity: 0.5'
              src='assets/icon/icon-loading-services.svg'
            ></ion-img>
          </span>
        </div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
      <ng-container *ngIf='isLoading === true'>
        <loading-text></loading-text>
      </ng-container>
      <ion-list *ngIf='servicesByCategory.length === 0 && isLoading === false && !services'>
        <ion-list-header>
          <h3>{{ 'topics.nessun_servizio' | translate }}</h3>
        </ion-list-header>
      </ion-list>
      <ion-list *ngIf='servicesByCategory.length > 0 && isLoading === false'>
        <div *ngFor='let item of servicesByCategory'>
          <ion-list *ngIf='item.parent_topic.name != null && (item.parent_topic.groups.length || item.parent_topic.subCategories.length)'>
            <ion-item-divider sticky='true' class='' color='primary'>
              <ion-label class='ion-text-wrap'>{{item.parent_topic.name}}</ion-label>
            </ion-item-divider>
            <ng-container *ngIf='item.parent_topic.groups'>
              <ng-container *ngFor='let group of item.parent_topic.groups | keyvalue'>
                <ng-container *ngIf='!group.value[0].shared_with_group'>
                <ion-item lines='none' *ngIf='group.key !== "null"' [detail]='group.value[0].shared_with_group'
                          (click)="navigateWithData('groups/'+group.value[0].service_group_id, group)">
                  <ion-icon name="folder-outline" size='large' slot='end' *ngIf='!group.value[0].shared_with_group'></ion-icon>
                  <ion-label class='ion-text-wrap'>
                    {{group.key}}
                  </ion-label>
                </ion-item>
                </ng-container>
                <ng-container *ngIf='group.value[0].shared_with_group'>
                  <ion-item lines='none' *ngIf='group.key !== "null"' [detail]='group.value[0].shared_with_group'
                            (click)="navigateWithData('groups/'+group.value[0].service_group_id, group)">
                    <ion-icon name="folder-outline" size='large' slot='end' *ngIf='!group.value[0].shared_with_group'></ion-icon>
                    <ion-label class='ion-text-wrap'>
                      {{group.key}}
                    </ion-label>
                  </ion-item>
                </ng-container>
                <ng-container *ngIf='!group.value[0].shared_with_group' >
                  <ion-item *ngFor='let s of group.value; let last = last;'
                              (click)="navigateWithData('service-details', s)" detail='true' [lines]='last ? "none" : true'>
                    <ion-icon name="remove-outline" slot='start' *ngIf='group.key !== "null"'></ion-icon>
                    <ion-label class='ion-text-wrap'>{{s.name}}</ion-label>
                  </ion-item>
                </ng-container>
              </ng-container>
            </ng-container>
            <ng-container *ngIf='item.parent_topic.services.length'>
              <ng-container *ngFor='let service of item.parent_topic.services'>
                <ion-item lines='none' [detail]='false' (click)="navigateWithData('service-details', service)">
                  <ion-icon name="folder-outline" size='large' slot='end' *ngIf='!service.shared_with_group'></ion-icon>
                  <ion-label class='ion-text-wrap'>
                    {{service.name}}
                  </ion-label>
                </ion-item>
              </ng-container>
            </ng-container>
            <ng-container *ngIf='item.parent_topic.subCategories.length'>
              <ng-container *ngFor='let sub of item.parent_topic.subCategories; let last = last;'>
                <ion-item detail='true' [lines]='last ? "none" : true' (click)="navigateWithData('sub-topics/'+sub.id, item)" class="item-background-color">
                  <ion-label class='ion-text-wrap'>
                    <h2>{{sub.name}}</h2>
                  </ion-label>
                </ion-item>
              </ng-container>
            </ng-container>
          </ion-list>
        </div>
      </ion-list>
      <ion-list *ngIf='searchTextActive > 0 && services'>
    <ion-item-group *ngFor='let s of services | keyvalue; let last = last;'>
      <ion-item-divider class="color">
        <ion-label>{{s.key | unslugify}}</ion-label>
      </ion-item-divider>
    <ion-item detail='true' [lines]='l ? "none" : true' (click)="navigateWithData('service-details', service)" *ngFor='let service of s.value; let l = last;'>
      <ion-label class='ion-text-wrap'>
        <h2>{{service.name}}</h2>
        <p [innerHTML]='service.description | truncate : 100 : "..." | sanitizeHtml'></p>
      </ion-label>
    </ion-item>
    </ion-item-group>
  </ion-list>
</ion-content>

<ion-menu side="start" menuId="first" contentId="main" *ngIf='facets'>
  <ion-header>
    <ion-toolbar color="primary">
      <ion-title>{{ 'common.filtri' | translate }}</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content>
    <ion-list *ngFor="let item of facets | keyvalue">
      <ion-list-header class='mt-3 ion-text-wrap' *ngIf='item.value.length !== 0' >
        <ion-text color="primary">
          <h3 *ngIf='item.key === "topics_id" && item.value.length !== 0 '>{{ 'common.uffici' | translate }}</h3>
          <h3 *ngIf='item.key === "recipient_id" && item.value.length !== 0'>{{ 'common.destinatari' | translate }}</h3>
          <h3 *ngIf='item.key ===  "geographic_area_id" && item.value.length !== 0'>{{ 'common.area_geografica' | translate }}</h3>
        </ion-text>
        </ion-list-header>
      <ion-item *ngFor="let i of item.value | keyvalue; let last = last;" [lines]='last ? "none" : true'>
        <ion-label class='ion-text-wrap'>
           <b>{{i.value.name}}</b>
        </ion-label>
        <ion-checkbox slot="end" (ionChange)="setValueFilter($event,item.key,i.value.id)" [checked]='i.value.isChecked'></ion-checkbox>
      </ion-item>
    </ion-list>
  </ion-content>
</ion-menu>
